![Pixel-Chat-App](https://repository-images.githubusercontent.com/832191338/b1042f2c-3c1a-4756-b061-732923b776cd)

<img src="/assets/logo-final-@1x.png" align="right" width="50px" />

# 💬 Pixel-Chat App

一个简单、快速、开源的Python即时聊天系统，涵盖了多种聊天操作需求

![GitHub Downloads (all assets, all releases)](https://img.shields.io/github/downloads/AlignPixel/Pixel-Chat-App/total?style=for-the-badge&logo=github)
![GitHub License](https://img.shields.io/github/license/AlignPixel/Pixel-Chat-App?style=for-the-badge)
![GitHub Discussions](https://img.shields.io/github/discussions/AlignPixel/Pixel-Chat-App?style=for-the-badge&logo=github)
![Static Badge](https://img.shields.io/badge/Python-3.x-blue?style=for-the-badge&logo=Python&logoColor=white)

### 🤩 功能亮点

- 开箱即用，无需部署
- 可将任意计算机、服务器上用作服务端使用，仅需一个 `Pixel Chat Desktop` 输入IP地址即可访问所有使用 `Pixel-Chat Server` 的聊天服务器
- 内置防刷屏，自动封禁刷屏IP地址
- 简单的黑名单IP管理
- 简单方便的服务端命令，只需一个服务端即可掌控整个聊天服务器
- 无需手动重置，因为不使用缓存，所以关闭重新打开自动清除数据

### ℹ️ 使用方法

###### 在服务器上运行服务端

1. 在用作服务端的服务器或计算机上安装[Python环境](https://python.org)
2. 在[Release](https://github.com/AlignPixel/Pixel-Chat-App/releases)页面下载 `Pixel-Chat Server`，下载完成后运行
3. VOILA! 现在邀请你的用户通过 `Pixel-Chat Client` 或 `Pixel-Chat Desktop` 访问服务器/计算机IP地址即可聊天

###### 访问您喜欢的聊天服务器

1. 在[Release](https://github.com/AlignPixel/Pixel-Chat-App/releases)页面下载 `Pixel-Chat-Desktop`，下载完成后运行
2. 输入您喜欢的聊天服务器IP
3. VOILA! 现在是聊天时间

###### 需要特殊/定制版本

请邮件联系[hello.vip@setbun.com](mailto:shensu283@luogu.com.cn?subject=%E6%82%A8%E5%A5%BD%EF%BC%8C%E6%88%91%E6%98%AF%5B%E5%85%AC%E5%8F%B8/%E4%B8%AA%E4%BA%BA%E5%90%8D%E7%A7%B0%5D%EF%BC%81%E6%88%91%E9%9C%80%E8%A6%81%E5%AE%9A%E5%88%B6Pixel-Chat%5B%E6%9C%8D%E5%8A%A1%E7%AB%AF/%E5%AE%A2%E6%88%B7%E7%AB%AF%5D%EF%BC%8C%E5%9B%A0%E4%B8%BA%5B%E5%8E%9F%E5%9B%A0%5D%E3%80%82%E5%85%B7%E4%BD%93%E5%8A%9F%E8%83%BD%E5%A6%82%E4%B8%8B%EF%BC%9A%0A1.%20%5B%E4%BD%BF%E7%94%A8%E6%9C%89%E5%BA%8F%E5%88%97%E8%A1%A8%E7%AE%80%E5%8D%95%E5%88%97%E4%B8%BE%E6%82%A8%E9%9C%80%E8%A6%81%E7%9A%84%E5%8A%9F%E8%83%BD%5D%0A%0A%E5%A6%82%E6%9E%9C%E6%82%A8%E6%9C%89%E6%9D%A1%E4%BB%B6%E4%B8%8E%E6%97%B6%E9%97%B4%E5%8F%AF%E4%BB%A5%E8%BF%9B%E8%A1%8C%E5%AE%9A%E5%88%B6%EF%BC%8C%E8%AF%B7%E6%B7%BB%E5%8A%A0%E6%88%91%E7%9A%84%5B%E5%BE%AE%E4%BF%A1/QQ/Telegram%5D%EF%BC%9A%5B%E5%BE%AE%E4%BF%A1%E5%8F%B7/QQID/TG%E9%93%BE%E6%8E%A5%5D%EF%BC%8C%E8%B0%A2%E8%B0%A2%E6%82%A8%EF%BC%81)探讨您需要的内容，也许会需要您支付额外费用🤔

### 🎈 贡献者列表

欢迎为本项目贡献一份你的力量，请参考Wiki中《贡献手册》章节为本项目提交PR或Issues

> 排名不分先后，以下列表按时间顺序展示

| AVATAR                                                       | NAME                                                    | WORK            |
| ------------------------------------------------------------ | ------------------------------------------------------- | --------------- |
| <img src="https://avatars.githubusercontent.com/u/120368045?s=400&u=ac60326a41a0d41faaf82ad25bcd143d85224791&v=4" alt="BunDragon's Github AVATAR" width="50px" /> | [磅豆龙(FrederickBun)](https://github.com/FrederickBun) | Author(Creator) |
| <img src="https://avatars.githubusercontent.com/u/98998872" alt="Rayminn's Github AVATAR" width="50px"/> | [Yiming Lei(Rayminn)](https://github.com/Rayminn)       | Author(Editor)  |

### 📦特供版本与特殊版本使用者

如果你要选择定制你的 `Pixel-Chat Server`，下面的例子也许可以供你参考

| USER/ORGANIZATION        | INFO                                                         | HOW TO THEY/THEIR USE                                      |
| ------------------------ | ------------------------------------------------------------ | ---------------------------------------------------------- |
| 西南大学附中信息学竞赛生 | 本程序最初设计目的是为了此需求，后来开源，诞生了此项目。本文本中提到的 `Pixel-Chat Client` 就是最初由同学们编写的初代客户端，而 `Pixel-Chat Desktop` 是由[AlignPixel](https://github.com/AlignPixel)所改进的开源版本 | 用于刷题目时共享思路，一位同学运行服务端，全班同学可以使用 |

### 🖼️ 屏幕截图

![总体截图](https://cdn.jsdelivr.net/gh/FrederickBun/upyun-rhimgcdn@img/upload/202407271438190.png)

![客户端](https://cdn.jsdelivr.net/gh/FrederickBun/upyun-rhimgcdn@img/upload/202407271438066.png)

![服务端](https://cdn.jsdelivr.net/gh/FrederickBun/upyun-rhimgcdn@img/upload/202407271438163.png)

